VredeployerServiceAsync (gCube VRE Deploy Wizard Portlet 3.4.0-3.10.0 API)
Date: 2016-02-09

org.gcube.portlets.admin.vredeployer.client

## Interface VredeployerServiceAsync

-     public interface VredeployerServiceAsync

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkCreateVRE(com.google.gwt.user.client.rpc.AsyncCallback<ClientDeployReport> callback)`
    `void` | `deployVRE(com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `getAvailableGHNs(com.google.gwt.user.client.rpc.AsyncCallback<List<GHNProfile>> callback)`
    `void` | `getCloudVMSelected(com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)`
    `void` | `getFunctionality(com.google.gwt.user.client.rpc.AsyncCallback<VREFunctionalityModel> callback)`
    `void` | `getGHNPerFunctionality(String funcId, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `getHTMLReport(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
    `void` | `getVRE(com.google.gwt.user.client.rpc.AsyncCallback<VREDescrBean> callback)`
    `void` | `isApprovingModeEnabled(com.google.gwt.user.client.rpc.AsyncCallback<VREDeployerStatusType> callback)`
    `void` | `isCloudSelected(com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)`
    `void` | `setCloudDeploy(int virtualMachines, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `setGHNsSelected(String[] selectedGHNIds, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`

- - ### Method Detail

    - #### getVRE

          void getVRE(com.google.gwt.user.client.rpc.AsyncCallback<VREDescrBean> callback)

    - #### isApprovingModeEnabled

          void isApprovingModeEnabled(com.google.gwt.user.client.rpc.AsyncCallback<VREDeployerStatusType> callback)

    - #### getAvailableGHNs

          void getAvailableGHNs(com.google.gwt.user.client.rpc.AsyncCallback<List<GHNProfile>> callback)

    - #### setGHNsSelected

          void setGHNsSelected(String[] selectedGHNIds,
                             com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### isCloudSelected

          void isCloudSelected(com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)

    - #### setCloudDeploy

          void setCloudDeploy(int virtualMachines,
                            com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### getCloudVMSelected

          void getCloudVMSelected(com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)

    - #### checkCreateVRE

          void checkCreateVRE(com.google.gwt.user.client.rpc.AsyncCallback<ClientDeployReport> callback)

    - #### deployVRE

          void deployVRE(com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### getHTMLReport

          void getHTMLReport(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### getFunctionality

          void getFunctionality(com.google.gwt.user.client.rpc.AsyncCallback<VREFunctionalityModel> callback)

    - #### getGHNPerFunctionality

          void getGHNPerFunctionality(String funcId,
                                    com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

Copyright © 2016. All Rights Reserved.